Fetch attendance entries

Fetch attendance entries (time log entries) with filters and pagination. Only fields listed in the fields parameter are returned. You must provide an employeeId filter and at least one clockInDate filter (using from and to operators). The maximum date range is 33 days.

Before using this endpoint:

  • Explore the Attendance API for more details on usage, rate limits, permissions, and more.
  • Field IDs are prefixed with /attendanceEntry/ (e.g. /attendanceEntry/id, /attendanceEntry/employeeId).
  • Use limit and cursor for pagination; next page cursor is in response_metadata.next_cursor.
Body Params

Request schema for searching attendance entries

fields
array of strings
required
Defaults to /attendanceEntry/id,/attendanceEntry/employeeId,/attendanceEntry/clockInDate,/attendanceEntry/clockOutDate,/attendanceEntry/type,/attendanceEntry/clockInTime,/attendanceEntry/clockOutTime,/attendanceEntry/duration,/attendanceEntry/reasonCode,/attendanceEntry/notes,/attendanceEntry/projectId,/attendanceEntry/taskId

List of field IDs to fetch; only these fields are returned. You must specify which field IDs to include (e.g. /attendanceEntry/id, /attendanceEntry/clockInTime). Omit a field ID to exclude it from the response. Field IDs are prefixed with /attendanceEntry/.

fields*
filters
array of objects
required
Defaults to [object Object],[object Object],[object Object]

Filters to apply. You must include an employeeId filter and at least one clockInDate filter (from/to). This filters entries by date: the date is taken from the clock-in timestamp (start-end) or clock-in date (duration).

filters*
string
enum
required

You must include filters for both /attendanceEntry/employeeId (equals) and /attendanceEntry/clockInDate (use from/to for a date range). Entries are filtered by date: for start-end entries the date is the date part of the clockInTime timestamp; for duration entries the date is clockInDate.

Allowed:
string
enum
required
Allowed:
values
array of strings
required
values*
string
enum
required

You must include filters for both /attendanceEntry/employeeId (equals) and /attendanceEntry/clockInDate (use from/to for a date range). Entries are filtered by date: for start-end entries the date is the date part of the clockInTime timestamp; for duration entries the date is clockInDate.

Allowed:
string
enum
required
Allowed:
values
array of strings
required
values*
string
enum
required

You must include filters for both /attendanceEntry/employeeId (equals) and /attendanceEntry/clockInDate (use from/to for a date range). Entries are filtered by date: for start-end entries the date is the date part of the clockInTime timestamp; for duration entries the date is clockInDate.

Allowed:
string
enum
required
Allowed:
values
array of strings
required
values*
integer
1 to 100
Defaults to 50

Maximum number of items per page. Default 50.

string

Opaque cursor for the next page. Use value from response_metadata.next_cursor. Omit on first request.

boolean
Defaults to false

Whether to include human-readable values in the response

Responses

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json